#pragma once

#include <string>
#include <fstream>
#include <iostream>
#include "getio.h"

using namespace std;

class Entreprise {
	string m_company; //(Nom de la Société) clé
	string m_country; //(Nom du Pays)
	float m_market_value; //(Valeur Marchande)
	string m_sector; //(Secteur d’Activité)
	float m_turnover; //(Chiffre d’Affaire)
	float m_employees; //(Nombre d’Employés)
	int m_rank_2015; //(Rang en 2015)
	int m_rank_2014; //(Rang en 2014)

public:
	void saisie(ifstream&);
	void affichage();

	int rank_progress() const;
	float turnover_empl() const;
	float getTurnover() const;

	string key() { return m_company; }
};